/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 * @flow
 */

import React, { Component } from "react";
import { Text, View, ScrollView } from "react-native";

import Alert from "./src/components/Alert";

export default class App extends Component {
  render() {
    return (
      <ScrollView flex={1}>
        <View style={{ flex: 1, justifyContent: "center" }}>
          <View padding="5%">
            <Text style={{ marginBottom: 20, fontSize: 35 }}>Alerts</Text>
            <Alert type={"primary"}>
              <Text style={{ color: "#004085" }}>
                Lorem Ipsum is simply dummy text of the printing and typesetting
                industry.
              </Text>
            </Alert>

            <Alert type={"secondary"}>
              <Text style={{ color: "#383d41" }}>
                Lorem Ipsum is simply dummy text of the printing and typesetting
                industry.
              </Text>
            </Alert>

            <Alert type={"success"}>
              <Text style={{ color: "#155724" }}>
                Lorem Ipsum is simply dummy text of the printing and typesetting
                industry.
              </Text>
            </Alert>

            <Alert type={"danger"}>
              <Text style={{ color: "#721c24" }}>
                Lorem Ipsum is simply dummy text of the printing and typesetting
                industry.
              </Text>
            </Alert>

            <Alert type={"warning"}>
              <Text style={{ color: "#856404" }}>
                Lorem Ipsum is simply dummy text of the printing and typesetting
                industry.
              </Text>
            </Alert>

            <Alert type={"info"}>
              <Text style={{ color: "#0c5460" }}>
                Lorem Ipsum is simply dummy text of the printing and typesetting
                industry.
              </Text>
            </Alert>

            <Alert type={"light"}>
              <Text style={{ color: "#818182" }}>
                Lorem Ipsum is simply dummy text of the printing and typesetting
                industry.
              </Text>
            </Alert>

            <Alert type={"dark"}>
              <Text style={{ color: "#1b1e21" }}>
                Lorem Ipsum is simply dummy text of the printing and typesetting
                industry.
              </Text>
            </Alert>
          </View>
        </View>
      </ScrollView>
    );
  }
}
