import * as React from "react";
import * as ReactNative from "react-native";

// import {
//   ViewStyle,
//   TextStyle,
//   ImageProperties,
//   ImageStyle,
//   ImageURISource,
//   TouchableWithoutFeedbackProps,
//   ViewProperties,
//   TextInputProperties,
//   TextInput,
//   TextProperties,
//   StatusBarProperties,
//   StyleProp,
//   Animated,
//   ActivityIndicatorProperties,
//   SwitchProperties
// } from "react-native";

/**
|--------------------------------------------------
| Alert
|--------------------------------------------------
*/
export interface AlertProps {
  /** --------------------------------------------------
   * Text color 
   * ---------------------------------------------------
   * primary  : #004085
   * secondary: #383d41
   * success  : #155724
   * danger   : #721c24
   * warning  : #856404
   * info     : #0c5460
   * light    : #818182
   * dark"    : #1b1e21
  -------------------------------------------------- */
  type?:
    | "primary" 
    | "secondary"
    | "success"
    | "danger"
    | "warning"
    | "info"
    | "light"
    | "dark";

  style?: ReactNative.ViewStyle;
}

export class Alert extends React.Component<AlertProps, any> {}
